NoServantHelper (Java Platform SE 8 )
Keywords: org.omg.PortableServer.POAPackage.NoServantHelper class
Date: 2016-07-28

org.omg.PortableServer.POAPackage

## Class NoServantHelper

- java.lang.Object
- - org.omg.PortableServer.POAPackage.NoServantHelper

-     public abstract class NoServantHelper
      extends Object

  org/omg/PortableServer/POAPackage/NoServantHelper.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java8-openjdk/src/jdk8u-jdk8u102-b14/corba/src/share/classes/org/omg/PortableServer/poa.idl Thursday, July 28, 2016 7:07:55 PM MDT

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoServantHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NoServant` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, NoServant that)`
    `static NoServant` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, NoServant value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoServantHelper

          public NoServantHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                                    NoServant that)

    - #### extract

          public static NoServant extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static NoServant read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                                   NoServant value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.